<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
$sprachdate = "login";
require('load_this/load_this_bigware_10.php'); 
$guest_member = false;  
if ($session_started == false) {
	go_forward(go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_9]));
}
require(FOLDER_RELATIV_LANGUAGES . $language . '/' . $GLOBALS[CONFIG_NAME_FILE][main_bigware_40]);
$error = false;
$errormember = false;
if (isset($_GET['action']) && ($_GET['action'] == 'process')) {
	$email_address = go_db_producing_input($_POST['email_address']);
	$password = go_db_producing_input($_POST['password']); 
	$check_attendee_query = go_db_query("select attendees_id, attendees_firstname, attendees_password, attendees_email_address, attendees_default_address_id, member_level  from " . DB_TBL_ATTENDEES . " where attendees_email_address = '" . go_db_input($email_address) . "' and guest_flag = '0'");
	if (!go_db_num_rows($check_attendee_query)) {
		$error = true;
	}  
	else {
		$check_attendee = go_db_fetch_array($check_attendee_query);
		if (($check_attendee['member_level']==0)&&(MEMBER=='true')) {$error = true;$errormember = true;}
		else { 
			if (!go_validate_password($password, $check_attendee['attendees_password'])) {
				$error = true;
			}
			else {
				if (SESSION_RECREATE == 'True') {
					go_session_recreate();
				}
				$check_land_query = go_db_query("select entry_land_id, entry_zone_id from " . DB_TBL_DIRECTORY_TO_ADDRESS . " where attendees_id = '" . (int)$check_attendee['attendees_id'] . "' and directory_to_address_id = '" . (int)$check_attendee['attendees_default_address_id'] . "'");
				$check_land = go_db_fetch_array($check_land_query);
				$attendee_id = $check_attendee['attendees_id'];
				$attendee_default_address_id = $check_attendee['attendees_default_address_id'];
				$attendee_first_name = $check_attendee['attendees_firstname'];
				$attendee_land_id = $check_land['entry_land_id'];
				$attendee_zone_id = $check_land['entry_zone_id'];
				go_session_register('attendee_id');
				go_session_register('attendee_default_address_id');
				go_session_register('attendee_first_name');
				go_session_register('attendee_land_id');
				go_session_register('attendee_zone_id');
				go_session_unregister('referral_id');


				if (OPTIMIZE_ORDER == 'true'){    
					if ($attendee_id != ''){
						$check_query = go_db_query("select count(*) as count from temp_serialize where user = '" . $attendee_id . "'");
						$check = go_db_fetch_array($check_query);
						if ($check['count'] > 0) {
							go_db_query("delete from temp_serialize where user = '" . $attendee_id . "'");
						}
					}
				}


				go_db_query("update " . DB_TBL_ATTENDEES_INFO . " set attendees_info_date_of_last_logon = now(), attendees_info_number_of_logons = attendees_info_number_of_logons+1 where attendees_info_id = '" . (int)$attendee_id . "'"); 



				// restore cart contents

				if (BASKET_DEL_IF_NEW_LOGIN == 'true'){ 	
					go_db_query("delete from " . DB_TBL_ATTENDEES_BASKET . " where attendees_id = '" . (int)$attendee_id . "'");
					go_db_query("delete from " . DB_TBL_ATTENDEES_BASKET_CHARACTERISTICS . " where attendees_id = '" . (int)$attendee_id . "'");
					go_db_query("delete from " . DB_TBL_ATTENDEES_BASKET_CHARACTERISTICS_CONF . " where attendees_id = '" . (int)$attendee_id . "'");       
				}
				$cart->restore_contents();


				if (sizeof($navigation->snapshot) > 0) {
					$origin_href = go_href_link($navigation->snapshot['page'], go_array_to_string($navigation->snapshot['get'], array(go_session_name())), $navigation->snapshot['mode']);
					$navigation->clear_snapshot(); 
					go_forward($origin_href);
				} else {    	
					go_forward(go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_29]));
				}
			}
		}}
}
if ($error == true) {
	if ($errormember == true) {$messageStack->add('login', 'Keine Erlaubnis gegeben!');}
	else { $messageStack->add('login', TEXT_LOGIN_ERROR);}
}
$breadcrumb->add(NAVBAR_TITLE, go_href_link($GLOBALS[CONFIG_NAME_FILE][main_bigware_40], '', 'SSL'));
$content = $GLOBALS[CONFIG_SHOW_FILE][main_bigware_40];
$javascript = $content . '.js';

require(FOLDER_RELATIV_TEMPLATES . TEMPLATENAME_MAIN_PAGE);
require(FOLDER_RELATIV_INCLUDES . 'load_this_bigware_3.php');
?>
